import type { Source } from 'it-stream-types';
/**
 * Creates a stream iterable to encrypt messages in a private network
 */
export declare function createBoxStream(nonce: Uint8Array, psk: Uint8Array): (source: Source<Uint8Array>) => AsyncIterable<Uint8Array>;
/**
 * Creates a stream iterable to decrypt messages in a private network
 */
export declare function createUnboxStream(nonce: Uint8Array, psk: Uint8Array): (source: Source<Uint8Array>) => AsyncGenerator<Uint8Array, void, unknown>;
/**
 * Decode the version 1 psk from the given Uint8Array
 */
export declare function decodeV1PSK(pskBuffer: Uint8Array): {
    tag: string | undefined;
    codecName: string | undefined;
    psk: Uint8Array;
};
//# sourceMappingURL=crypto.d.ts.map